package com.unis.module.coding.service.kqxx;

import java.util.*;
import javax.validation.*;
import com.unis.module.coding.controller.admin.kqxx.vo.*;
import com.unis.module.coding.dal.dataobject.kqxx.KqxxDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;

/**
 * 库区信息; Service 接口
 *
 * @author 超级管理员
 */
public interface KqxxService {

    /**
     * 创建库区信息;
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createKqxx(@Valid KqxxSaveReqVO createReqVO);

    /**
     * 更新库区信息;
     *
     * @param updateReqVO 更新信息
     */
    void updateKqxx(@Valid KqxxSaveReqVO updateReqVO);

    /**
     * 删除库区信息;
     *
     * @param id 编号
     */
    void deleteKqxx(Long id);

    /**
     * 获得库区信息;
     *
     * @param id 编号
     * @return 库区信息;
     */
    KqxxDO getKqxx(Long id);

    /**
     * 获得库区信息;分页
     *
     * @param pageReqVO 分页查询
     * @return 库区信息;分页
     */
    PageResult<KqxxDO> getKqxxPage(KqxxPageReqVO pageReqVO);

    KqxxDO getKqxxByKqBm();
}